Group: Development/Python
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-numdisplay
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define upname numdisplay

Name: python-module-numdisplay
Version: 1.5.6
Release: alt1_20
Summary: Visualize numpy array objects in ds9

License: BSD

URL: http://stsdas.stsci.edu/numdisplay
Source0: http://stsdas.stsci.edu/numdisplay/download/numdisplay-%{version}.tar.gz
Patch0: numdisplay-numpy-fix.patch
BuildRequires: python-devel
BuildArch: noarch

%global _description\
Numdisplay provides the capability to visualize numpy array objects using\
astronomical image display tools such as DS9 or XIMTOOL directly from\
the Python command line. This task can display any numpy object, whether\
it was created interactively or read in from a FITS file using PyFITS\
on any platform which supports Python and numpy.
Source44: import.info

%description 

%_description
%prep
%setup -q -n %{upname}
%patch0 -p1

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%files -n python-module-numdisplay
%doc lib/LICENSE.txt 
%{python_sitelibdir_noarch}/%{upname}
%{python_sitelibdir_noarch}/%{upname}*.egg-info
%exclude %{python_sitelibdir_noarch}/%{upname}/LICENSE.txt

%changelog
* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.5.6-alt1_20
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 1.5.6-alt1_18
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 1.5.6-alt1_16
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.5.6-alt1_14
- update to new release by fcimport

* Fri Sep 30 2016 Igor Vlasenko <viy@altlinux.ru> 1.5.6-alt1_13
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.5.6-alt1_12
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 1.5.6-alt1_11
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.5.6-alt1_10
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 1.5.6-alt1_8
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.5.6-alt1_7
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 1.5.6-alt1_6
- initial fc import

